<html>

<head> 

<title>访问统计</title>

<meta http-equiv="Content-Type" content="text/html; charset=gb2312">

<style>

A:visited{TEXT-DECORATION: none}

A:active{TEXT-DECORATION: none}

A:hover{TEXT-DECORATION: underline overline}

A:link{text-decoration: none;}

.t{LINE-HEIGHT: 1.4}

BODY{FONT-FAMILY: 宋体; FONT-SIZE: 9pt;

SCROLLBAR-HIGHLIGHT-COLOR: buttonface;

SCROLLBAR-SHADOW-COLOR: buttonface;

SCROLLBAR-3DLIGHT-COLOR: buttonhighlight;

SCROLLBAR-TRACK-COLOR: #eeeeee;

SCROLLBAR-DARKSHADOW-COLOR: buttonshadow}

TD,DIV,form ,OPTION,P,TD,BR{FONT-FAMILY: 宋体; FONT-SIZE: 9pt} 

INPUT{BORDER-TOP-WIDTH: 1px; PADDING-RIGHT: 1px; PADDING-LEFT: 1px; BORDER-LEFT-WIDTH: 1px; FONT-SIZE: 9pt; BORDER-LEFT-COLOR: #cccccc; BORDER-BOTTOM-WIDTH: 1px; BORDER-BOTTOM-COLOR: #cccccc; PADDING-BOTTOM: 1px; BORDER-TOP-COLOR: #cccccc; PADDING-TOP: 1px; HEIGHT: 18px; BORDER-RIGHT-WIDTH: 1px; BORDER-RIGHT-COLOR: #cccccc}

textarea, select {border-width: 1; border-color: #000000; background-color: #efefef; font-family: 宋体; font-size: 9pt; font-style: bold;}

</style>

<script language=JavaScript>

function ShowDetail(obj,imgobj)

{	 

	if (document.all(obj).style.display=='none')

  {

    document.all(obj).style.display='block'; 

    document.all(imgobj).src='ipdata/folderopen.gif';                           

  }else{

    document.all(obj).style.display='none';          

    document.all(imgobj).src='ipdata/folderclose.gif';                           

  }                        

}

tPopWait=50;tPopShow=2000;showPopStep=20;popOpacity=99;sPop=null;curShow=null;tFadeOut=null;tFadeIn=null;tFadeWaiting=null;

document.write("<style type='text/css'id='defaultPopStyle'>");

document.write(".cPopText {  background-color: #F8F8F5;color:#000000; border: 1px #000000 solid;font-color: font-size: 9pt; padding-right: 4px; padding-left: 4px; height: 18px; padding-top: 0px; padding-bottom: 0px; filter: Alpha(Opacity=0)}");

document.write("</style>");

document.write("<div id='dypopLayer' style='position:absolute;z-index:1000;' class='cPopText'></div>");

function showPopupText(){var o=event.srcElement;MouseX=event.x;MouseY=event.y;

if(o.alt!=null && o.alt!=""){o.dypop=o.alt;o.alt=""};if(o.title!=null && o.title!=""){o.dypop=o.title;o.title=""};

if(o.dypop!=sPop){sPop=o.dypop;

clearTimeout(curShow);clearTimeout(tFadeOut);clearTimeout(tFadeIn);clearTimeout(tFadeWaiting);

if(sPop==null || sPop=="") {dypopLayer.innerHTML="";dypopLayer.style.filter="Alpha()";dypopLayer.filters.Alpha.opacity=0;}

else {if(o.dyclass!=null) popStyle=o.dyclass 

else popStyle="cPopText";

curShow=setTimeout("showIt()",tPopWait);

}}}

function showIt(){dypopLayer.className=popStyle;dypopLayer.innerHTML=sPop;popWidth=dypopLayer.clientWidth;popHeight=dypopLayer.clientHeight;

if(MouseX+12+popWidth>document.body.clientWidth) popLeftAdjust=-popWidth-24

else popLeftAdjust=0;

if(MouseY+12+popHeight>document.body.clientHeight) popTopAdjust=-popHeight-24

else popTopAdjust=0;

dypopLayer.style.left=MouseX+12+document.body.scrollLeft+popLeftAdjust;dypopLayer.style.top=MouseY+12+document.body.scrollTop+popTopAdjust;dypopLayer.style.filter="Alpha(Opacity=0)";fadeOut();

}

function fadeOut(){if(dypopLayer.filters.Alpha.opacity<popOpacity) {dypopLayer.filters.Alpha.opacity+=showPopStep;tFadeOut=setTimeout("fadeOut()",1);} else {dypopLayer.filters.Alpha.opacity=popOpacity;tFadeWaiting=setTimeout("fadeIn()",tPopShow);}}

function fadeIn(){if(dypopLayer.filters.Alpha.opacity>0) {dypopLayer.filters.Alpha.opacity-=1;tFadeIn=setTimeout("fadeIn()",1);}}

document.onmouseover=showPopupText;

</script>

</head>

<body bgcolor=#e9e9e9 alink=#333333 vlink=#333333 link=#333333 topmargin=0 leftmargin=0>
<a name= top></a><br>

 <div align=center>[<a href="#newest">最近访问者情况</a>]　[<a href="#browser">浏览器统计</a>]　 [<a href="#os">操作系统统计</a>]　[<a href="#month">月访问统计</a>]　[<a href="#time">访问时间段统计</a>]　[<a href="#location">访问来源统计</a>]</div><br>

<table width=80% cellpadding=0 cellspacing=0 border=0 align=center bgcolor=#000000>

<tr>

  <td>

    <table width=100% cellpadding=3 cellspacing=1 border=0>
        <tr> 
          <td colspan=3 bgcolor=#6a7f9a><font color="#FFFFFF"><a name=newest></a><a href=#top>↑</a> 
            <B>最近 20 名访问者情况</B></font></td>
        </tr>
        <?

       include("config.php");

       $data=file($count);

       $content=explode("|",$data[0]);

       $totalcount=$content[0];

       $data=file($lastdata);

       for ($i=0;$i < count($data);$i++)

       {

         $content=trim($data[$i]);

         $content=explode("|",$content);

         echo "<tr><td bgcolor=#FFFFFF width=158>$content[0]</td>";

         echo "<td bgcolor=#FFFFFF width='422'>$content[1]</td>";

         echo "<td bgcolor=#FFFFFF width='138'>$content[2]</td></tr>";

        }

     ?>
        <tr> 
          <td colspan=3 bgcolor=#6a7f9a><font color="#FFFFFF"><a name=browser></a><a href=#top>↑</a> 
            <B>浏览器使用统计</B></font></td>
        </tr>
        <?

       $data=file($explorer);

       for ($i=0;$i < count($data);$i++)

       {

         $content=trim($data[$i]);

         $content=explode("|",$content);

         $percent=intval($content[1]/$totalcount*1000)/ 10;

         $picper =intval(sqrt($percent * 4)*20);

         echo "<tr><td bgcolor=#FFFFFF width='158'>$content[0]</td>";

         echo "<td bgcolor=#FFFFFF colspan='2'><img src='ipdata/pic1.gif' width=$picper height=10> <b>$content[1]</b> ($percent%)</td></tr>";

       }

      ?>
        <tr> 
          <td colspan=3 bgcolor=#6a7f9a><font color="#FFFFFF"><a name=os></a><a href=#top>↑</a> 
            <B>操作系统使用统计</B></font></td>
        </tr>
        <?

         $data=file($system);

         for ($i=0;$i < count($data);$i++)

         {

           $content=trim($data[$i]);

           $content=explode("|",$content);

           $percent=intval($content[1]/$totalcount*1000)/ 10;

           $picper =intval(sqrt($percent * 4)*20);

           echo "<tr><td bgcolor=#FFFFFF width='158'>$content[0]</td>";

           echo "<td bgcolor=#FFFFFF colspan='2'><img src='ipdata/pic3.gif' width=$picper height=10> <b>$content[1]</b> ($percent%)</td></tr>";

         }

      ?>
        <tr> 
          <td colspan=3 bgcolor=#6a7f9a><font color="#FFFFFF"><a name=month></a><a href=#top>↑</a> 
            <B>月访问统计</B><img src='ipdata/folderclose.gif' border=0 id='img0' style='cursor:hand' width=13 height=13 onClick='javascript:ShowDetail("detai0","img0");' alt='展开查看明细'></font></td>
        </tr>
        <tbody id='detai0' style='display:none'>
          <?

         $data=file($month);

         for ($i=0;$i < count($data);$i++)

         {

           $content=trim($data[$i]);

           $content=explode("|",$content);

           $percent=intval($content[1]/$totalcount*1000)/ 10;

           $picper =intval(sqrt($percent * 4)*20);

           echo "<tr><td bgcolor=#FFFFFF width='158'>$content[0]</td>";

           echo "<td bgcolor=#FFFFFF colspan='2'><img src='ipdata/pic.gif' width=$picper height=10> <b>$content[1]</b> ($percent%)</td></tr>";

         }

      ?>
        </tbody>
        <tr> 
          <td colspan=3 bgcolor=#6a7f9a><font color="#FFFFFF"><a name=time></a><a href=#top>↑</a> 
            <B>访问时间段统计</B><img src='ipdata/folderclose.gif' border=0 id='img1' style='cursor:hand' width=13 height=13 onClick='javascript:ShowDetail("detai1","img1");' alt='展开查看明细'></font></td>
        </tr>
        <tbody id='detai1' style='display:none'>
          <?

         $data=file($hour);

         for ($i=0;$i < count($data);$i++)

         {

           $content=trim($data[$i]);

           $content=explode("|",$content);

           $percent=intval($content[1]/$totalcount*1000)/ 10;

           $picper =intval(sqrt($percent * 4)*20);

           echo "<tr><td bgcolor=#FFFFFF width='158'>$content[0]</td>";

           echo "<td bgcolor=#FFFFFF colspan='2'><img src='ipdata/pic.gif' width=$picper height=10> <b>$content[1]</b> ($percent%)</td></tr>";

         }

      ?>
        </tbody>
        <tr> 
          <td colspan=3 bgcolor=#6a7f9a><font color="#FFFFFF"><a name=location></a><a href=#top>↑</a> 
            <B>访问者来源统计</B><img src='ipdata/folderclose.gif' border=0 id='img2' style='cursor:hand' width=13 height=13 onClick='javascript:ShowDetail("detai2","img2");' alt='展开查看明细'></font></td>
        </tr>
        <tbody id='detai2' style='display:none'>
          <?

         $data=file($place);

         for ($i=0;$i < count($data);$i++)

         {

           $content=trim($data[$i]);

           $content=explode("|",$content);

           $percent=intval($content[1]/$totalcount*1000)/ 10;

           $picper =intval(sqrt($percent * 4)*20);

           echo "<tr><td bgcolor=#FFFFFF width='158'>$content[0]</td>";

           echo "<td bgcolor=#FFFFFF colspan='2'><img src='ipdata/pic2.gif' width=$picper height=10> <b>$content[1]</b> ($percent%)</td></tr>";

         }

      ?>
        </tbody>
      </table>

    </td>

  </tr>

 </table> <BR>

 <a href=#top>↑顶端↑</a><BR>

</body>

</html>



